Bug 11780 - В xfce-mcs-plugins недолинкован keyboard_plugin.so
: В xfce-mcs-plugins недолинкован keyboard_plugin.so
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xfce-mcs-plugins)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-16 12:01 by
Modified: 2007-06-19 18:54 (History)


Attachments
Рабочий вариант патча (лечит только клавиатурный плагин) (1.68 KB, patch)
2007-06-13 19:34, Vitaly A. Ostanin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-16 12:01:02
$ ldd -r keyboard_plugin.so 2>&1 | grep 'undefined symbol: xkl' | wc -l
10

То есть keyboard_plugin хочет символы из libxklavier. Рассмотрение показывает,
что это результат патча 10keyboard_layouts.patch, который притащен из Ubuntu и
добавляет зависимость на libxklavier, а линковку не исправляет (и
01keyboard_makefile.patch с этим тоже не справляется).

В результате, понятно, mcs-manager загрузить этот плагин не может.
------- Comment #1 From 2007-05-31 14:06:44 -------
Я уже понял, руки не доходили залить свежую сборку... Странно что у меня на
локалхосте все долинковалось и работало... Сегодня поедет новая сборка
------- Comment #2 From 2007-06-13 19:34:08 -------
Created an attachment (id=2017) [details]
Рабочий вариант патча (лечит только клавиатурный плагин)

Конечно, другие плагины тоже нужно лечить.
------- Comment #3 From 2007-06-14 15:40:51 -------
*** Bug 11727 has been marked as a duplicate of this bug. ***
------- Comment #4 From 2007-06-17 11:22:00 -------
fixed in alt2
------- Comment #5 From 2007-06-19 18:52:40 -------
Этот баг закрываем, или оставим как напоминание излечить остальные плагины?
------- Comment #6 From 2007-06-19 18:54:53 -------
Можно оставить открытым, но лечить недолинкованные плагины времени нет, разве
уж
сломаются, но тогда будет новая бага:)